Bug 434583 - (tunctl-review) Review Request: tunctl - Create and remove virtual network interfaces
Review Request: tunctl - Create and remove virtual network interfaces
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-22 17:05 EST by Lubomir Kundrak
Modified: 2008-12-14 00:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 13:42:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-02-22 17:05:18 EST
SPEC: http://people.redhat.com/lkundrak/SPECS/tunctl.spec
SRPM:
http://people.redhat.com/lkundrak/mock-results/tunctl-1.4-1.fc8.x86_64/tunctl-1.4-1.fc8.src.rpm
mock: http://people.redhat.com/lkundrak/mock-results/tunctl-1.4-1.fc8.x86_64/

Description: Create and remove virtual network interfaces

Virtual network interface manipulation tool from User Mode Linux project.

---
Rationale:
Since some kernel version write privilegies on /dev/net/tun are not sufficient
for an unprivileged user to create virtual network interfaces. Thus they need to
be precreated by root, but no tool for this exists in Fedora but openvpn.
Comment 1 Marek Mahut 2008-03-25 16:15:51 EDT
The package looks sane, but please move the binary to %{_sbindir} as it can be
used only by root.
Comment 2 Lubomir Kundrak 2008-03-25 17:17:06 EDT
SPEC: http://people.redhat.com/lkundrak/SPECS/tunctl.spec

Done. (Was lazy to re-roll the srpm though)
Comment 3 Marek Mahut 2008-03-25 17:19:55 EDT
You lazy boy. I see no issues with this small package.

APPROVED.
Comment 4 Lubomir Kundrak 2008-03-26 05:10:12 EDT
New Package CVS Request
=======================
Package Name: tunctl
Short Description: Create and remove virtual network interfaces
Owners: lkundrak
Branches: F-8
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-03-26 11:53:39 EDT
cvs done.
Comment 6 Lubomir Kundrak 2008-03-26 13:42:44 EDT
Thanks Marek, Kevin. Imported and built.
Comment 7 Lubomir Rintel 2008-12-11 10:21:40 EST
Package change Request
=======================
Package Name: tunctl
Branches: EL-5
Comment 8 Kevin Fenzi 2008-12-14 00:39:00 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.